/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.widget.graph;

import java.awt.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;

import com.nwoods.jgo.*;

public class Node_Test {

    public Node_Test() {
    }

    public static void main(String[] args) {
        final JFrame frame = new JFrame();
        frame.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });

        frame.setTitle("Test Nodes");
        frame.setSize(800, 600);

        Container contentPane = frame.getContentPane();
        contentPane.setLayout(new BorderLayout());

        JGoView view = new JGoView();
        contentPane.add(view, BorderLayout.CENTER);
        contentPane.validate();
        frame.setVisible(true);

        Node node = new Node();

        /** @todo Rewrite test code.  Had to delete it because it was outdated
         * and wasn't compiling anymore. */

        JGoDocument doc = view.getDocument();
        doc.addObjectAtTail(node);
    }
}